unit RDRect;
{ *************************************************
  *            FormRgn library 04.05.99           *
  *           written by Grigoriev Anton          *
  *                                               *
  *      Auxiliary unti for property editor       *
  ************************************************* }

 interface

  uses Windows,Messages,SysUtils,Classes,Graphics,Controls,Forms,Dialogs,StdCtrls,Buttons;

   type TRectEditDlg=class(TForm)
                      EditT:TEdit;
                      EditL:TEdit;
                      EditR:TEdit;
                      EditB:TEdit;
                      Label1:TLabel;
                      Label2:TLabel;
                      Label3:TLabel;
                      Label4:TLabel;
                      BtnOK:TBitBtn;
                      BtnCancel:TBitBtn;
                      procedure BtnOKClick(Sender:TObject);
                     public
                      function Execute(SP,Cpt:string):string;
                    end;

    var RectEditDlg:TRectEditDlg;

 implementation

  uses RgnEdit;

  {$R *.DFM}

   procedure TRectEditDlg.BtnOKClick(Sender:TObject);
    begin
     with Owner as TRgnEditDlg do
      if Check(EditL.Text) and Check(EditT.Text) and Check(EditR.Text) and Check(EditB.Text) then
       Self.ModalResult:=mrOK
      else
       ShowMessage('Syntax error in parameters')
    end;

   function TRectEditDlg.Execute;
    var P:Integer;
     begin
      P:=Pos(',',SP);
      EditL.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditT.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditR.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      EditB.Text:=SP;
      Caption:=Cpt;
      if ShowModal=mrOK then
       Result:=UpperCase(EditL.Text)+','+UpperCase(EditT.Text)+','+UpperCase(EditR.Text)+','+UpperCase(EditB.Text)
      else
       Result:=''
     end;

 end.
